Skip to main content
GET
List orders

Authorizations

X-App-Id
string
header
required

App ID for authentication

X-Api-Key
string
header
required

API Key for authentication

Query Parameters

page
integer
default:1

Page number for pagination.

per_page
integer
default:20

Number of records per page.

sort_col
string

Column to sort by

sort_direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
keyword
string

Search term.

date_range
string

Filter by date range. Format: 'MM-DD-YYYY,MM-DD-YYYY' (both dates inclusive). If only one date is provided, it is used as both the start and end.

Example:

"06-01-2024,06-11-2025"

amount_range
string

Filter by amount range, in cents. Format: '[min,max]'. Use '[200,]' for at-least, '[,200]' for at-most, '[100,500]' for a range.

Example:

"[100,500]"

Response

Successful operation

orders
object[]
meta
object